"""
Parameter study: friction coefficient

This script varies the friction coefficient between holder and spindle
interface and generates simulation jobs.

Author: F. Birk
"""

import numpy as np

joblist = []

reibwert = np.linspace(0.01, 0.3, num=30)

for g_reib in reibwert:

    g_Emod_H = 210000.0
    g_Emod_A = 210000.0
    g_q = 0
    g_F_sp = 18000.0
    g_Umin = 25000.0

    string = str(g_reib).replace('.', '_')
    g_Jobname = 'Berechnung-' + string + '-mit-er'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)
    Mdb()

    g_q = 1
    g_Jobname = 'Berechnung-' + string + '-mit-fr'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)

paramsFile = open('joblist_mu.txt', 'w')
for job in joblist:
    paramsFile.write(str(job) + '\n')
paramsFile.close()